Name: libfwevt
Version: 20211219
Release: 1
Summary: Library to support the Windows XML Event Log (EVTX) data types
Group: System Environment/Libraries
License: LGPLv3+
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libfwevt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
        
BuildRequires: gcc        

%description -n libfwevt
Library to support the Windows XML Event Log (EVTX) data types

%package -n libfwevt-static
Summary: Library to support the Windows XML Event Log (EVTX) data types
Group: Development/Libraries
Requires: libfwevt = %{version}-%{release}

%description -n libfwevt-static
Static library version of libfwevt.

%package -n libfwevt-devel
Summary: Header files and libraries for developing applications for libfwevt
Group: Development/Libraries
Requires: libfwevt = %{version}-%{release}

%description -n libfwevt-devel
Header files and libraries for developing applications for libfwevt.

%package -n libfwevt-python2
Obsoletes: libfwevt-python < %{version}
Provides: libfwevt-python = %{version}
Summary: Python 2 bindings for libfwevt
Group: System Environment/Libraries
Requires: libfwevt = %{version}-%{release} python2
BuildRequires: python2-devel

%description -n libfwevt-python2
Python 2 bindings for libfwevt

%package -n libfwevt-python3
Summary: Python 3 bindings for libfwevt
Group: System Environment/Libraries
Requires: libfwevt = %{version}-%{release} python3
BuildRequires: python3-devel

%description -n libfwevt-python3
Python 3 bindings for libfwevt

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfwevt
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libfwevt-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libfwevt-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfwevt.pc
%{_includedir}/*
%{_mandir}/man3/*

%files -n libfwevt-python2
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%files -n libfwevt-python3
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so

%changelog
* Sun Dec 19 2021 Joachim Metz <joachim.metz@gmail.com> 20211219-1
- Auto-generated

